# Asterisk Project : Asterisk 13 AGICommand_set music

Created by wikibot on Aug 08, 2014

# SET MUSIC

### Synopsis

Enable/Disable Music on hold generator

### Description

Enables/Disables the music on hold generator. If class is not specified, then the `default` music on hold class will be used. This generator will be stopped automatically when playing a file.

Always returns `0`.

### Syntax

    SET MUSIC  CLASS

##### Arguments

- {{}}
  - {{}}
    - `on`
  - {{}}
    - `off`
- `class`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538